#!/usr/bin/env ruby

require 'bundler/setup'

require './TrueLegacyGraphicsCairo'

win = LegacyGraphics.new(nil, nil, nil, nil, 720, 960, 16, 8, 0, { :file => 'tetran', :type => 'png' })	# png/pdf/svg/ps

win.tPenUp
win.tSetPenColor([0.6, 0.6, 0.6])
win.tSetPenWidth(16)
4.times {|n|
	win.tHome
	win.tRight(n * 90)
	9.times {|n|
		win.tPenDown unless(n < 2)
		win.tForward(32)
		win.tPenUp
		win.tForward(6)
		win.tRight(4)
	}
}

ox = win.gx / 2; oy = win.gy / 2
win.fill(ox - 96, oy - 96, ox + 95, oy + 95, [0.6, 0.6, 0.6])

win.refresh
win.close

__END__

